package proxy.nbt;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class NbtShort extends Nbt {
	private short data;

	void write(DataOutput output) throws IOException {
		output.writeShort(this.data);
	}

	void read(DataInput input, int depth, Tracker tracker) throws IOException {
		tracker.read(80L);
		this.data = input.readShort();
	}

	byte getId() {
		return (byte)2;
	}
}
