package proxy.nbt;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class NbtDouble extends Nbt {
	private double data;

	void write(DataOutput output) throws IOException {
		output.writeDouble(this.data);
	}

	void read(DataInput input, int depth, Tracker tracker) throws IOException {
		tracker.read(128L);
		this.data = input.readDouble();
	}

	byte getId() {
		return (byte)6;
	}
}
