package proxy.nbt;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class NbtInt extends Nbt {
	private int data;

	void write(DataOutput output) throws IOException {
		output.writeInt(this.data);
	}

	void read(DataInput input, int depth, Tracker tracker) throws IOException {
		tracker.read(96L);
		this.data = input.readInt();
	}

	byte getId() {
		return (byte)3;
	}
}
